%define oname pysvn

Summary:	Highlevel Subversion Python bindings
Name:		python-%{oname}
Version:	1.7.0
Release:	%mkrel 1
License:	Apache License
Group:		Development/Python
URL:		http://pysvn.tigris.org 
Source0:	http://pysvn.barrys-emacs.org/source_kits/%{oname}-%{version}.tar.gz
BuildRequires:	apr-devel
BuildRequires:	expat-devel
BuildRequires:	neon-devel
BuildRequires:	subversion-devel
BuildRequires:	subversion-tools
%py_requires -d
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package	docs
Summary:	Programmer's documentation for pysvn
Group:		Development/Python

%description	docs
pysvn is a highlevel and easy to use Python bindings to Subversion.

This package contains the pysvn Programmer's Guide and the Programmer's
Reference.

%prep

%setup -q -n %{oname}-%{version}

%build
cd Source
python setup.py configure
%make LDFLAGS="%{?ldflags}" 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{py_platsitedir}/%{oname}
cp -a Source/%oname/*.py %{buildroot}%{py_platsitedir}/%{oname}
install -d %{buildroot}%{py_platsitedir}/%{oname}
cp -a Source/%{oname}/_pysvn*.so %{buildroot}%{py_platsitedir}/%{oname}
%py_compile %{buildroot}%{py_platsitedir}/%{oname}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE.txt
%dir %{py_platsitedir}/%{oname}
%{py_platsitedir}/%{oname}/*

%files docs
%defattr(-,root,root)
%doc Docs/*.html Docs/*.js Examples




%changelog
* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 422259
- update to new version 1.7.0

* Wed Feb 18 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.6.3-1mdv2009.1
+ Revision: 342645
- new version 1.6.3

* Wed Feb 18 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.5.1-6mdv2009.1
+ Revision: 342578
- added patch to force the support of python 2.6

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 1.5.1-5mdv2009.1
+ Revision: 323992
- fix linkage
- rebuild

* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-4mdv2009.0
+ Revision: 285435
- fix deps
- rebuilt against latest neon libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-2mdv2008.0
+ Revision: 36976
- rebuild for expat


* Thu Mar 01 2007 Jérôme Soyer <saispo@mandriva.org> 1.5.1-1mdv2007.0
+ Revision: 130370
- New release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - fix after version upgrade)

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 1.5.0-1mdv2007.1
+ Revision: 91597
- Remove patch and update
- Rebuild for latest pyhton

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - Import python-pysvn

